RSLegacyRawErasureCoderFactory (Apache Hadoop Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.io.erasurecode.rawcoder, class: RSLegacyRawErasureCoderFactory

Package org.apache.hadoop.io.erasurecode.rawcoder

# Class RSLegacyRawErasureCoderFactory

java.lang.Object
org.apache.hadoop.io.erasurecode.rawcoder.RSLegacyRawErasureCoderFactory

All Implemented Interfaces:
  `RawErasureCoderFactory`

@Private public class RSLegacyRawErasureCoderFactory extends Object implements RawErasureCoderFactory
A raw coder factory for the legacy raw Reed-Solomon coder in Java.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `CODER_NAME`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RSLegacyRawErasureCoderFactory()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `RawErasureDecoder`
  `createDecoder(ErasureCoderOptions coderOptions)`
  Create raw erasure decoder.
  `RawErasureEncoder`
  `createEncoder(ErasureCoderOptions coderOptions)`
  Create raw erasure encoder.
  `String`
  `getCodecName()`
  Get the name of its codec.
  `String`
  `getCoderName()`
  Get the name of the coder.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### CODER_NAME

    public static final String CODER_NAME
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### RSLegacyRawErasureCoderFactory

    public RSLegacyRawErasureCoderFactory()

- ## Method Details

  - ### createEncoder

    public RawErasureEncoder createEncoder(ErasureCoderOptions coderOptions)
    Description copied from interface: `RawErasureCoderFactory`
    Create raw erasure encoder.
    Specified by:
      `createEncoder` in interface `RawErasureCoderFactory`
    Parameters:
      `coderOptions` - the options used to create the encoder
    Returns:
      raw erasure encoder

  - ### createDecoder

    public RawErasureDecoder createDecoder(ErasureCoderOptions coderOptions)
    Description copied from interface: `RawErasureCoderFactory`
    Create raw erasure decoder.
    Specified by:
      `createDecoder` in interface `RawErasureCoderFactory`
    Parameters:
      `coderOptions` - the options used to create the encoder
    Returns:
      raw erasure decoder

  - ### getCoderName

    public String getCoderName()
    Description copied from interface: `RawErasureCoderFactory`
    Get the name of the coder.
    Specified by:
      `getCoderName` in interface `RawErasureCoderFactory`
    Returns:
      coder name

  - ### getCodecName

    public String getCodecName()
    Description copied from interface: `RawErasureCoderFactory`
    Get the name of its codec.
    Specified by:
      `getCodecName` in interface `RawErasureCoderFactory`
    Returns:
      codec name